org.firebirdsql.jdbc

## Class FBMissingParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.firebirdsql.jdbc.FBSQLException
        - - org.firebirdsql.jdbc.FBMissingParameterException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

Deprecated.
Unused, will be removed in Jaybird 5

    @Deprecated
    public class FBMissingParameterException
    extends FBSQLException

Exception notifying developer that not all parameters were set when calling the prepared statement.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean[]` `getSetParams()` Deprecated. Get information about set parameters.

### Methods inherited from class org.firebirdsql.jdbc.FBSQLException

`defaultSQLStateIfNull, getInternalException`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### getSetParams

    public boolean[] getSetParams()

Deprecated.
Get information about set parameters.

Returns:
  array of booleans, each of which corresponds to the parameter in the prepared statement, its value tells whether parameter was set or not.